package info.msxlaunchers.openmsx.launcher.ui.presenter;

import info.msxlaunchers.openmsx.launcher.ui.presenter.LauncherException;
import info.msxlaunchers.openmsx.launcher.ui.presenter.LauncherExceptionCode;

import org.junit.Test;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;

public class LauncherExceptionTest
{
	@Test( expected = NullPointerException.class )
	public void testConstructorArg1Null()
	{
		new LauncherException( null, "somthing" );
	}

	@Test
	public void testNullAdditionalString()
	{
		LauncherException le = new LauncherException( LauncherExceptionCode.ERR_CANNOT_SAVE_SETTINGS, null );

		assertNull( le.getAdditionalString() );
	}

	@Test
	public void testExceptionWithAdditionalString()
	{
		LauncherException le = new LauncherException( LauncherExceptionCode.ERR_CANNOT_SAVE_SETTINGS, "somthing" );

		assertEquals( LauncherExceptionCode.ERR_CANNOT_SAVE_SETTINGS, le.getCode() );
		assertEquals( "somthing", le.getAdditionalString() );
	}
}
