/*
 * Copyright 2013 Sam Elsharif
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package info.msxlaunchers.openmsx.launcher.ui.view.swing.component;

import info.msxlaunchers.openmsx.launcher.ui.presenter.LauncherException;

import java.awt.Component;
import java.util.Map;

import javax.swing.JOptionPane;

/**
 * @since v1.0
 * @author Sam Elsharif
 *
 */
public class MessageBoxUtil
{
	public static void showErrorMessageBox(Component parent, LauncherException le, Map<String,String> messages)
	{
		StringBuilder buffer = new StringBuilder(messages.get(le.geCodeAsString()));

		String additionalString = le.getAdditionalString();
		if(additionalString != null)
		{
			buffer.append(": ").append(additionalString);
		}

		JOptionPane.showMessageDialog(parent,
				buffer.toString(),
				messages.get("ERROR"),
				JOptionPane.ERROR_MESSAGE);
	}
}
